//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_InvoiceOffice
    {
        public int Id { get; set; }
        public string PartnerId { get; set; }
        public string CustomerId { get; set; }
        public string CustomerName { get; set; }
        public string MpnId { get; set; }
        public string Tier2MpnId { get; set; }
        public string OrderId { get; set; }
        public string SubscriptionId { get; set; }
        public string SyndicationPartnerSubscriptionNumber { get; set; }
        public string OfferId { get; set; }
        public string DurableOfferId { get; set; }
        public string OfferName { get; set; }
        public Nullable<System.DateTime> SubscriptionStartDate { get; set; }
        public Nullable<System.DateTime> SubscriptionEndDate { get; set; }
        public Nullable<System.DateTime> ChargeStartDate { get; set; }
        public Nullable<System.DateTime> ChargeEndDate { get; set; }
        public string ChargeType { get; set; }
        public Nullable<decimal> UnitPrice { get; set; }
        public Nullable<int> Quantity { get; set; }
        public Nullable<decimal> Amount { get; set; }
        public Nullable<decimal> TotalOtherDiscount { get; set; }
        public Nullable<decimal> Subtotal { get; set; }
        public Nullable<decimal> Tax { get; set; }
        public Nullable<decimal> TotalForCustomer { get; set; }
        public string Currency { get; set; }
        public string DomainName { get; set; }
        public string SubscriptionName { get; set; }
        public string SubscriptionDescription { get; set; }
        public string BillingCycleType { get; set; }
        public Nullable<int> InvoiceId { get; set; }
    }
}
